2004-08-31  Tom Yu  <tlyu@mit.edu>

	* klist.c: Fix double-free vulnerabilities.

2004-07-11  Ken Raeburn  <raeburn@mit.edu>

	* klist.c: Include autoconf.h before network headers.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (all-mac): Target deleted.

2003-07-27  Sam Hartman  <hartmans@mit.edu>

	* klist.M : Note that -s can return non-zero if credentials are
	expired 

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-06-13  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in ($(OUTPRE)klist.exe): Use ws2_32.lib instead of
	wsock32.lib.

2002-06-13  Jen Selby <jenselby@mit.edu>

	* klist.M: updated the manpage to show new ticket flags

2002-04-10  Danilo Almeida  <dalmeida@mit.edu>

	* klist.c: Do not pull in winsock.h since we already pull in
	port-sockets.h.

2002-04-05  Ken Raeburn  <raeburn@mit.edu>

	* klist.c (one_addr): Make 0 unsigned (!) in conditional
	expression in getnameinfo call to avoid silly compiler warning.

2002-03-26  Ken Raeburn  <raeburn@mit.edu>

	* klist.c: Include fake-addrinfo.h, not fake-addrinfo.c.
	(FAI_PREFIX): Delete.

2002-03-07  Ken Raeburn  <raeburn@mit.edu>

	* klist.c: Include port-sockets.h and socket-utils.h instead of
	k5-int.h.
	(NEED_SOCKETS): Don't define.

2001-11-28  Ken Raeburn  <raeburn@mit.edu>

	* klist.c (flags_string): Display transit-policy-checked,
	ok-as-delegate, and anonymous ticket flags.

2001-10-09  Ken Raeburn  <raeburn@mit.edu>

	* klist.c: Make prototypes unconditional.

2001-10-05  Ken Raeburn  <raeburn@mit.edu>

	* klist.c: Delete _MSDOS support.

2001-08-29  Ken Raeburn  <raeburn@mit.edu>

	* klist.c: Include fake-addrinfo.c instead of .h file.
	(FAI_IMPLEMENTATION): Don't define.

2001-08-01  Ken Raeburn  <raeburn@mit.edu>

	* klist.c: Include k5-int.h and fake-addrinfo.h.
	(NEED_SOCKETS, FAI_PREFIX, FAI_IMPLEMENTATION): Define macros.
	(one_addr): Use getnameinfo always.

2001-07-19  Ken Raeburn  <raeburn@mit.edu>

	* klist.c (one_addr): Pass UNIX address family, not Kerberos
	address type, to inet_ntop.  Print different messages for unknown
	address types and known address types we don't know how to print
	(e.g., AF_INET6 without inet_ntop).

2001-06-08  Ezra Peisach  <epeisach@mit.edu>

	* klist.c: Include unistd.h (if present) for getopt() prototype. 

2001-04-26  Ken Raeburn  <raeburn@mit.edu>

	* klist.c (one_addr): Drop getipnodebyaddr support.

2000-10-17  Ezra Peisach  <epeisach@mit.edu>

	* klist.c (one_addr): gethostbyaddr takes an int as second argument.

2000-10-09  Tom Yu  <tlyu@mit.edu>

	* klist.c (do_v4_ccache): Call life_to_time().

2000-08-02  Ezra Peisach  <epeisach@mit.edu>

	* klist.c: Compiler warning cleanups by declaring functions as
	static, using existing global variables instead of trying to
	shadow them, and removing assignments from conditionals.

2000-04-19  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Link in getopt library on Windows.

	* klist.c: Use getopt so that we can parse combined options (e.g.,
	-an or -45).

2000-03-07  Danilo Almeida  <dalmeida@mit.edu>

	* klist.M: Get man page up-to-date.

	* klist.c: Add support for combining -4 and -5.  Tweak usage info.

2000-02-24  Ezra Peisach  <epeisach@engrailed.mit.edu>

	* klist.c: Include <arpa/inet.h> if present for inet_ntop
	prototype. Use const for the variable receiving the result of
	inet_ntop.

2000-02-16  Danilo Almeida  <dalmeida@mit.edu>

	* klist.c: Fix GET_PROGNAME macro to properly return program name
	under Win32.  Re-indent, turning spaces that should be tabs into
	tabs.

2000-02-04  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (klist): Fix to build under Unix again.

2000-02-04  Danilo Almeida  <dalmeida@mit.edu>

	* klist.c: Major revamp to support Kerberos 4 compatibility.  Code
	restructured to allow changes to support Kerberos 4 or Kerberos 5
	only operation depending on whether dynamic libraries are
	avialable.  Explicit documentation and support files to make it
	easy to do this will be forthcoming.

1999-11-02  Ken Raeburn  <raeburn@raeburn.org>

	* klist.c (one_addr): Always use indicated address family and
	length in gethostbyaddr or getipnodebyaddr calls.

1999-12-03  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Windows fix for 10/26/99 cleanup.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-10-17  Ken Raeburn  <raeburn@raeburn.org>

	* klist.c (one_addr): Use getipnodebyaddr and inet_ntop if
	available.  Display ADDRTYPE_INET6 addresses if AF_INET6 is
	defined.

1999-09-01  Danilo Almeida  <dalmeida@mit.edu>

	* klist.c (do_ccache, show_credential): Use krb5_free_unparsed_name
	instead of free.

1999-08-26  Danilo Almeida  <dalmeida@mit.edu>

	* klist.c (show_credential): Index addresses array with i
	in a loop instead of 1.  (Thanks to jaltman@columbia.edu)

1999-08-09  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Use standard windows exe link flags.

Mon May 10 15:13:58 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

Mon Feb  8 22:11:50 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* klist.c: Under Windows, #include winsock.h instead of
		sys/socket.h and netdb.h

	* Makefile.in: Under Windows, link against wsock32.lib to get
	 	gethostbyaddr().

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

1998-10-26  Marc Horowitz  <marc@mit.edu>

	* klist.c: add -a flag to print the ticket address, and -n flag to
	do so without attempting resolution.  Make klist use the new api
	for stringifying enctypes.

Tue Aug 11 23:38:53 1998  Matthew D Hancher  <mdh@mit.edu>

	* klist.c (do_ccache): Properly check the return value of
	krb5_cc_set_flags() so the right thing happens if there is no CC.
	
Mon Mar 30 17:08:07 1998  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* klist.c (main): Exit with a 0 exit status if everything okay

Wed Feb 18 15:42:57 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.  Remove extraneous whitespace.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Wed Jan 21 15:11:22 1998  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* klist.c (main): returns int, not void. ANSI X3.159-1989
	2.1.2.2.1 says so, and gcc now warns about it.

Sat Feb 15 12:25:14 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Link in ComErr library $(CLIB)

Mon Feb 10 14:59:33 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in:
		Build klist.exe (win32 console app)

Mon Jan 27 16:51:50 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new program build procedure.

Thu Dec  5 21:59:34 1996  Tom Yu  <tlyu@mit.edu>

	* klist.M: v5srvtab -> krb5.keytab [279]

Wed Nov  6 12:02:59 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* klist.c (main): Check the error return from krb5_init_context(),
 		and print an error message if neceesary.

Tue Sep 10 14:14:21 1996  Tom Yu  <tlyu@mit.edu>

	* klist.M: remove ".so man1/header.doc"

Fri May 10 02:50:58 1996  Richard Basch  <basch@lehman.com>

	* klist.c (etype_string): changed des3-md5 to des3-sha

Fri Jan 26 16:14:38 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* klist.c : Implement -e option for keytabs as well.

Fri Sep 15 16:22:45 1995  Theodore Y. Ts'o  <tytso@dcl>

	* klist.M: Updated the man page to include all of the supported
	        options.

	* klist.c (main, show_credential): Reimplement the -e option, and
		display the encryption used by the session key and of the
		ticket.

Tue Sep 05 22:10:34 1995   Chris Provenzano (proven@mit.edu)

        * klist.c : Remove krb5_enctype references, and replace with
                krb5_keytype where appropriate.

Mon Aug 21 16:50:54 EDT 1995	Paul Park	(pjpark@mit.edu)
	* klist.c - Add logic to figure out width of time string and then use
		this width to format the timestamp output.  Remove English-
		specific months and let timestamp_to_sfstring() handle it.
		Replace etype string array with enctype_to_string().
	* configure.in - Add -lkadm.


Fri Jul 7 15:54:35 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Remove explicit library handling and LDFLAGS.
	* configure.in - Add KRB5_LIBRARIES.

Wed Jun 21 10:37:01 1995    <tytso@rsx-11.mit.edu>

	* klist.c: Change PROTOTYPE -> KRB5_PROTOTYPE

Thu Jun 15 17:47:11 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Change explicit library names to -l<lib> form, and
		change target link line to use $(LD) and associated flags.
	* configure.in - Add shared library usage check.

Fri Jun  9 18:37:35 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Thu Jun  8 17:46:51 1995    <tytso@rsx-11.mit.edu>

	* klist.c: Integrated patch from OpenVision which allows klist to
		list keytabs as well as ccache's.

Thu May 11 07:31:42 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* klist.c (main): Update usage message to include -e and -f.

	* klist.M: -e flag documented.

Thu May 04 04:24:38 1995  Chris Provenzano (proven@mit.edu)

	* klist.c : Changed progname to argv[0] for consistancy with 
		kdestroy, and to cleanup the code some.

Wed May 03 20:20:48 1995  Chris Provenzano (proven@mit.edu)

	* klist.c : #include <string.h>, a must for prototypes of various 
		string routines on systems where int != void *.

Thu Mar  2 12:31:29 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (ISODELIB): Remove reference to $(ISODELIB).

Wed Mar  1 16:28:00 1995  Theodore Y. Ts'o  <tytso@dcl>

	* configure.in: Replace check for -lsocket and -lnsl with
		WITH_NETLIB check.

Tue Feb 28 02:11:02 1995  John Gilmore  (gnu at toad.com)

	* klist.c:  Avoid <krb5/...> and <com_err.h> includes.

Fri Feb 10 18:44:44 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (ISODELIB): Remove ISODE cruft.  Use $(LIBS) so that
		libsocket can be pulled in if necessary.

	* configure.in: Add check for libsocket and libnsl (sigh).
		krb5_init_ctx drags in cryptoconf.c, which drags in enough
		of the crypto library that socket() gets called.  We should
		to fix this eventually to make klist smaller, but the fix
		will be subtle.

Thu Feb 09 17:43:47 1995  Chris Provenzano (proven@mit.edu)

	* klist.c Added -e option to print out encryption types.

Fri Feb 03 22:14:26 1995  Chris Provenzano (proven@mit.edu)

	* klist.c Do a krb5_init_context() before using a krb5_context.

Fri Jan 13 15:23:47 1995  Chris Provenzano (proven@mit.edu)

    * Added krb5_context to all krb5_routines

Mon Oct  3 19:14:09 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Use $(srcdir) to find manual page for make install.

Thu Sep 22 22:41:42 1994  Theodore Y. Ts'o  (tytso@dcl)

	* klist.c (main): Fix memory leak in klist --- the returned
		credentials should be freed before you fetch the next set.

